Name:		goldendict
Version:	1.0.1
Release:	%mkrel 3
Summary:	A feature-rich dictionary lookup program
Group:		Office
License:	GPLv3+
URL:		http://goldendict.berlios.de/
Source0:	%{name}-%{version}-src.tar.bz2

# Modify the Icon section in desktop file to comform package guideline.

BuildRequires:	qt4-devel
BuildRequires:	hunspell-devel
BuildRequires:	libvorbis-devel
BuildRequires:	desktop-file-utils
BuildRequires:	phonon-devel
%if %mdvver <= 201002
BuildRequires:	%{_lib}xtst6-devel
%endif
%if %mdvver >= 201100
BuildRequires:	libxtst6-devel
%endif

%description
Goldendict is a feature-rich dictionary lookup program.
The latest release has the following features:
Use of WebKit for an accurate articles' representation;
Support of multiple dictionary file formats;
Support MediaWiki-based sites to perform search;
Scan popup functionality.

%prep
%setup -q -c -n goldendict-%{version}-src

%build
# Fix the directory in goldendict.pro by removing apps
sed -i 's/share\/apps\/goldendict/share\/goldendict/g' goldendict.pro
# Fix the hunspell directory
sed -i 's|myspell/dicts|myspell|g' config.cc
# Fix prefix for /usr 
sed -i 's/usr\/local/usr/g' goldendict.pro
%qmake_qt4
make %{?_smp_mflags}

%install
rm -rf %{buildroot}
make install INSTALL_ROOT=%{buildroot} INSTALL="install -p"
rm -rf %{buildroot}/%{_datadir}/app-install

# Fix the icon name in desktop file
sed -i 's/\/usr\/share\/pixmaps\/goldendict\.png/goldendict/g' %{buildroot}/%{_datadir}/applications/goldendict.desktop
# Fix the categories in desktop file
desktop-file-install	\
--add-category="Dictionary"	\
--remove-category="Education"	\
--remove-category="Applications"	\
--delete-original	\
--dir=%{buildroot}%{_datadir}/applications	\
%{buildroot}%{_datadir}/applications/goldendict.desktop
install -d %{buildroot}/%{_datadir}/goldendict/locale
install -pm 644 locale/*.qm %{buildroot}/%{_datadir}/goldendict/locale

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root,-)
%doc LICENSE.txt
%dir %{_datadir}/goldendict/
%dir %{_datadir}/goldendict/locale/
%{_bindir}/goldendict
%{_datadir}/applications/goldendict.desktop
%{_datadir}/pixmaps/goldendict.png
%{_datadir}/goldendict/locale/*.qm


%changelog
* Sun Apr 24 2011 Funda Wang <fwang@mandriva.org> 1.0.1-3mdv2011.0
+ Revision: 658277
- tweak br

* Sun Apr 24 2011 Sergey Zhemoitel <serg@mandriva.org> 1.0.1-2
+ Revision: 658156
- imported package goldendict


* Thu Feb 01 2011 Sergey Zhemoytel <djam5@ya.ru>
- New version 1.0.1

* Thu Sep 09 2010 Alexander Kazancev <kazancas@mandriva.ru>
- adopt for Mandriva

* Thu Jul 02 2010 Texstar <texstar at gmail.com> goldendict-0.9.0-2pclos2010
- use prebuilt binary



